Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::experimental::coroutine_owner< Promise > Struct Template Reference

## Public Types
using | base_t = std::experimental::coroutine_handle< Promise >

## Public Member Functions
constexpr | coroutine_owner (base_t coro) noexcept
| coroutine_owner (coroutine_owner &&that) noexcept
| coroutine_owner (coroutine_owner const &that) noexcept
base_t | handle () const noexcept
void | operator() ()
coroutine_owner & | operator= (coroutine_owner that) noexcept
void | resume ()
void | swap (coroutine_owner &that) noexcept